if {[catch {package require Tcl 8.4}]} return
set script ""
#if {![info exists ::env(TREECTRL_LIBRARY)]
#    && [file exists [file join $dir treectrl.tcl]]} {
    append script "set ::treectrl_library \"$dir\"\n"
#}

if { "$::tcl_platform(machine)" == "amd64"} {
    set version 64
} else {
    set version 32
}
if { [info exists ::tcl_platform(debug)] && ( "$::tcl_platform(machine)" == "amd64") } {
    append script "load \"[file join $dir treectrl221d_64.dll]\" treectrl"
} else {
    append script "load \"[file join $dir treectrl221_${version}.dll]\" treectrl"
}
package ifneeded treectrl 2.2.1 $script

